DROP TABLE IF EXISTS WikiCurrentPage;
CREATE TABLE WikiCurrentPage (
        wikiCurrentPage INTEGER UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	name TINYTEXT NOT NULL,
        content TEXT NOT NULL,
        version INTEGER UNSIGNED NOT NULL,
        forumUser INTEGER UNSIGNED NOT NULL,
	timestamp TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	address TINYTEXT,
	admin BOOL NOT NULL DEFAULT 0,
        CONSTRAINT UNIQUE KEY (name(255)),
	FULLTEXT (content)
);

DROP TABLE IF EXISTS WikiDelta;
CREATE TABLE WikiDelta (
    wikiDelta INTEGER UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
    wikiCurrentPage INTEGER UNSIGNED NOT NULL REFERENCES WikiCurrentPage(wikiCurrentPage),
    delta BLOB NOT NULL,
    version INTEGER UNSIGNED NOT NULL,
    forumUser INTEGER UNSIGNED NOT NULL,
    timestamp TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    address TINYTEXT,
    UNIQUE KEY (wikiCurrentPage, version)
);

#ALTER TABLE WikiCurrentPage
#ADD FULLTEXT (content);

#ALTER TABLE WikiCurrentPage ADD COLUMN admin BOOL NOT NULL DEFAULT 'false';
