/*
 * Translation.java
 *
 * Created on October 18, 2005, 2:35 PM
 *
 */

package info.heinzelnisse.dictionary;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;


/**
 *
 * @author Heiko Klein
 */
public class CanooBokmaalLinkTranslation extends Translation {
    private String canooLink;
    private String bokmaalWord;
    
    /** Create a new instance of Translation */
    public CanooBokmaalLinkTranslation(DictUtils.DictLang language, int id, String word, String article, String other, String t_word, String t_article, String t_other, String category, String grade, String canooLink, String bokmaalLink) {
        super(language, id, word, article, other, t_word, t_article, t_other, category, grade);
        this.canooLink = canooLink;
        this.bokmaalWord = bokmaalLink;
    }
    
    public String getCanooLink() {
        // TODO: a bit dangerous reference. should have a generic escapeHTML
        //       maybe dangerous to have different get than set?
        return info.heinzelnisse.wiki.WikiFormatter.escapeHTML(canooLink); //escape XML entities & <>
    }
    
    public void setCanooLink(String canooLink) {
        this.canooLink = canooLink;
    }

    public String getBokmaalLink() {
        if (bokmaalWord == null || "".equals(bokmaalWord)) {
            return null;
        }
        String retVal = bokmaalWord;
        try {
            retVal = URLEncoder.encode(bokmaalWord, "UTF-8");
        } catch (UnsupportedEncodingException uex) {
            uex.printStackTrace();
        }
        return retVal;
    }

}

