/*
 * CommunityTranslation.java
 * 
 * Created on Oct 10, 2007, 9:27:25 PM
 * 
 * 
 * 
 */

package info.heinzelnisse.dictionary;

import java.util.Date;

/**
 *
 * @author hklein
 */
public class CommunityTranslation extends Translation {
    public enum Flag {enabled,deleted,accepted,rejected}
    public static final int NOT_IN_DATABASE = -1;
    
    private int forumUser;
    private String comment;
    private Flag flag;
    private Date timestamp;
    private String address;
    private int originalTranslationId;
    
    /** Create a new instance of Translation 
     * 
     *  @param forumUser use User.INVALID for invalid/unknown user
     *  @param originalTranslationId translationId of the first entry for this word, == id if this is the first
     *  @param id usually set by the database, use NOT_IN_DATABASE when not known
     *  @param timestamp timestamp of creation, if null current time will be used
     */
    public CommunityTranslation(DictUtils.DictLang language, int id, String word, String article, String other, String t_word, String t_article, String t_other, String category, String grade,
            int forumUser, String comment, Flag flag, Date timestamp, String address, int originalTranslationId) {
        super(language, id, word, article, other, t_word, t_article, t_other, category, grade);
        this.forumUser = forumUser;
        this.comment = comment;
        this.flag = flag;
        this.timestamp = (timestamp == null) ? new Date() : timestamp;
        this.address = address;
        this.originalTranslationId = originalTranslationId;
    }

    
    public int getForumUser() {
        return forumUser;
    }

    public String getComment() {
        return comment;
    }

    public Flag getFlag() {
        return flag;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public String getAddress() {
        return address;
    }

    public int getOriginalTranslationId() {
        return originalTranslationId;
    }
    
}
