/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package info.heinzelnisse.dictionary;

import java.io.BufferedWriter;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;
import java.util.Collection;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author hklein
 */
public class Dict4MidCSVTranslationStore implements TranslationStore {
    BufferedWriter out;

    public Dict4MidCSVTranslationStore() {
        String csvFileName = java.util.ResourceBundle.getBundle("info/heinzelnisse/dictionary/properties").getString("Dict4MidCSVFile");
        try {
            out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(csvFileName), "UTF-8"));
        } catch (UnsupportedEncodingException ex) {
            Logger.getLogger(Dict4MidCSVTranslationStore.class.getName()).log(Level.SEVERE, null, ex);
        } catch (FileNotFoundException ex) {
            Logger.getLogger(Dict4MidCSVTranslationStore.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    @Override
    public void addTranslation(String word_DE, String article_DE, String other_DE, Collection<String> optional_DE, String word_NO, String article_NO, String other_NO, Collection<String> optional_NO, String category, String grade) {
        if (out != null) {
            try {
                out.write(word_DE.replaceAll("[\\[\\]\\}\\{]", ""));
                if (article_DE.length() > 0) out.write(" {{[01("+article_DE+")]}}");
                if (other_DE.length() > 0) {
                    out.write(" {{[02" + other_DE.replaceAll("[\\[\\]\\}\\{]", "") + "]}}");
                }
                out.write("\t");
                out.write(word_NO.replaceAll("[\\[\\]\\}\\{]", ""));
                if (article_NO.length() > 0) out.write(" {{[01("+article_NO+")]}}");
                if (other_NO.length() > 0) {
                    out.write(" {{[02" + other_NO.replaceAll("[\\[\\]\\}\\{]", "") + "]}}");
                }
                out.newLine();
            } catch (IOException ex) {
                Logger.getLogger(Dict4MidCSVTranslationStore.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }

    @Override
    public boolean finish() {
        if (out != null) try {
            out.close();
            return true;
        } catch (IOException ex) {
            Logger.getLogger(Dict4MidCSVTranslationStore.class.getName()).log(Level.SEVERE, null, ex);
        }
        return false;
    }

}
