/*
 * Translation.java
 * 
 * Created on Oct 9, 2007, 11:28:13 AM
 * 
 * 
 * 
 */

package info.heinzelnisse.dictionary;

import java.text.Collator;

/**
 *
 * @author hklein
 */
public abstract class Translation implements Comparable<Translation> {
    protected int id;
    protected DictUtils.DictLang lang;
    protected String word;
    protected String article;
    protected String other;
    protected String t_word;
    protected String t_article;
    protected String t_other;
    protected String category;
    protected String grade;

    public Translation(DictUtils.DictLang language, int id, String word, String article, String other, String t_word, String t_article, String t_other, String category, String grade) {
        this.lang = language;
        this.id = id;
        this.word = word;
        this.article = article;
        this.other = other;
        this.t_word = t_word;
        this.t_article = t_article;
        this.t_other = t_other;
        this.category = category;
        this.grade = grade;
    }
    
    public int compareTo(Translation t) {
        Collator col = Collator.getInstance(Utils.langLocale(getLang()));
        int compare = col.compare(getWord(), t.getWord());
        if (compare == 0) {
            compare = col.compare(getArticle(), t.getArticle());
            if (compare == 0) {
                col = Collator.getInstance(Utils.transLangLocale(getLang()));
                compare = col.compare(getT_word(), t.getT_word());
                if (compare == 0) {
                    compare = col.compare(getT_article(), t.getT_article());
                }
            }
        }
        return compare;
    }

    public String getArticle() {
        return article;
    }

    public String getCategory() {
        return category;
    }

    public String getGrade() {
        return grade;
    }

    public int getId() {
        return id;
    }

    public DictUtils.DictLang getLang() {
        return lang;
    }

    public String getOther() {
        return other;
    }

    public String getT_article() {
        return t_article;
    }

    public String getT_other() {
        return t_other;
    }

    public String getT_word() {
        return t_word;
    }

    public String getWord() {
        return word;
    }

}
