/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package info.heinzelnisse.forum;

import info.heinzelnisse.dictionary.DictUtils;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;

/**
 *
 * @author hklein
 */
public class RevertToUnchangedText {
    static public void run() {
        Connection conn = null;
        PreparedStatement statement = null;
        PreparedStatement updateStatement = null;
        ResultSet rs = null;
        
        try {
            conn = DictUtils.dbConnection();
            {
                String query =
                        "SELECT forumQuestion, text " +
                        "FROM ForumQuestion WHERE originalText is null";
                statement = conn.prepareStatement(query);
                String update =
                        "UPDATE ForumQuestion SET originalText = ? WHERE forumQuestion = ?";
                updateStatement = conn.prepareStatement(update);
                rs = statement.executeQuery();
                while (rs.next()) {
                    int id = rs.getInt("forumQuestion");
                    String text = rs.getString("text");
                    text = unReformatText(text);
                    updateStatement.setString(1, text);
                    updateStatement.setInt(2, id);
                    updateStatement.execute();
                }
            }
            {
                String query =
                    "SELECT forumAnswer, text "+
                    "FROM ForumAnswer WHERE originalText is null";
                statement = conn.prepareStatement(query);
                String update =
                    "UPDATE ForumAnswer SET originalText = ? WHERE forumAnswer = ?";
                updateStatement = conn.prepareStatement(update);
                rs = statement.executeQuery();
                while (rs.next()) {
                    int id = rs.getInt("forumAnswer");
                    String text = rs.getString("text");
                    text = unReformatText(text);
                    updateStatement.setString(1, text);
                    updateStatement.setInt(2, id);
                    updateStatement.execute();
                }
            }
            
            
        } catch (SQLException se) {
            se.printStackTrace();
        } finally {
            try {rs.close();} catch (Exception e) {}
            try {statement.close();} catch (Exception e) {}
            try {updateStatement.close();} catch (Exception e) {}
            try {conn.close();} catch (Exception e) {}
        }
    }

    public static String unReformatText(String text) {
        text = text.replaceAll("<a href=\\S+ target=\"_new\">([^>]*)</a>", "$1");
        text = text.replaceAll("<br />", "\n");
        //unescape HTML
        text = text.replaceAll("&gt;", ">");
        text = text.replaceAll("&lt;", "<");
        text = text.replaceAll("&quot;", "\"");
        text = text.replaceAll("&amp;", "&");
        
        
        return text;
    }

    public static void main(String[] args) {
        run();
    }
    
}
