/*
 * No.java
 *
 * Created on October 18, 2005, 1:32 PM
 *
 */

package info.heinzelnisse.multiphone;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Locale;

/**
 *
 * @author Heiko Klein
 */
public class No extends AbstractMultiphone {
    Locale loc = new Locale("no");
    
    /** Creates a new instance of No */
    public No() {
    }
    public String vowels() {
        return "aeiouyøæå";
    }
    protected String preSplit(String word) {
        word = word.toLowerCase(loc);
        
        word = word.replaceAll("qu", "q"); // q is always alone
        word = word.replaceAll("skj","sj"); // sj/kj lyder
        word = word.replaceAll("ski", "sji");
        word = word.replaceAll("ki", "sji");
        word = word.replaceAll("tj", "sj");
        word = word.replaceAll("kj", "sj");
        word = word.replaceAll("gj", "sj");
        
        word = word.replaceAll("aa", "å");
        word = word.replaceAll("ph", "f");
        
        word = word.replaceAll("(\\w)\\1", "$1"); // removing double characters
        word = word.replaceAll("(\\w{2})\\1", "$1"); // removing double pairs as stst in "selbstständig"
        
        return word;
    }
    
    protected Collection<Collection<String>> processBits(Collection<String> wordParts) {
        int partNo = 0;
        ArrayList<Collection<String>> result = new ArrayList<Collection<String>>();
        for (String part : wordParts) {
            partNo++;
            ArrayList<String> splits = new ArrayList<String>();
            
            if (part.matches("hv")) {
                splits.add("w");
            } else if (part.matches("v")) {
                // v sounds like w
                splits.add(part.replaceAll("v", "w"));
            } else if (part.matches("y")) {
                // y sounds like u,i
                splits.add(part.replaceAll("y", "i"));
                splits.add(part.replaceAll("y", "u"));
            } else if (part.equals("u")) {
                // u sounds like u,i
                splits.add("u");
                splits.add("i");
            } else if (part.equals("o")) {
                // o sounds like u,o
                splits.add("o");
                splits.add("u");
            } else if (part.equals("å") || part.equals("aa")) {
                // å sounds like o
                splits.add("o");
            } else if(part.equals("æ") || part.equals("ae")) {
                // æ sounds like a,e
                splits.add("a");
                splits.add("e");
            } else if(part.equals("ø") || part.equals("oe")) {
                // ø sounds like o,e
                splits.add("o");
                splits.add("e");
            } else if(part.equals("øy") || part.equals("øi") || part.equals("oy")) {
                splits.add("oi");
            } else if (part.equals("ai")) {
                splits.add("ei");
            } else {
                splits.add(part);
            }
            
            result.add(splits);
        }
        return result;
    }
    
    protected Collection<String> postJoin(Collection<String> words) {
        // nothing to do here
        return words;
    }
}
