/*
 * BlockLineFormatter.java
 *
 * Created on May 14, 2006, 7:09 PM
 *
 */

package info.heinzelnisse.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 *
 * @author Heiko Klein
 */
class BlockLineFormatter implements LineFormatter, Cloneable {
    boolean inBlock;
    final static Pattern blockQuotePattern = Pattern.compile("^\\s+(\\S.+)\\s*$");
    
    /** Creates a new instance of BlockLineFormatter */
    public BlockLineFormatter() {
        inBlock = false;
    }
    
    @Override
    public String formatLine(String line) {
        Matcher m = blockQuotePattern.matcher(line);
        if (inBlock) {
            if (m.matches()) {
                return m.group(1) + "<br //>\n";
            } else {
                return finish() + line + "\n";
            }
        } else if (m.matches()) {
            inBlock = true;
            return "<blockquote>\n" + m.group(1) + "\n";
        } else {
            return line + "\n";
        }
    }

    @Override
    public String finish() {
        if (inBlock) {
            inBlock = false;
            return "<//blockquote>\n";
        }
        return "";
    }

    @Override
    public BlockLineFormatter clone() throws CloneNotSupportedException {
        return (BlockLineFormatter) super.clone();
    }
    
}
