package info.heinzelnisse.utils;

import info.heinzelnisse.dictionary.DictUtils;
import java.io.IOException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import javax.servlet.*;
import javax.servlet.http.*;


/**
 *
 * @author hklein
 */
public class IPFilter implements Filter {

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {
        
    }

    private PreparedStatement createPreparedStatement(Connection conn, String table, String ip) throws SQLException {
        String query = "SELECT address from " + table + " where address = ?";
        PreparedStatement ps = conn.prepareStatement(query);
        ps.setString(1, ip);
        return ps;
    }
            
    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        String ip = request.getRemoteAddr();

        boolean ipMatches = false;
        
        try (Connection conn = DictUtils.dbConnection();
                PreparedStatement ps = createPreparedStatement(conn, "BlockedIps", ip); 
                ResultSet rs = ps.executeQuery()) {
            while(rs.next()) {
                ipMatches = true;
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }

        try (Connection conn = DictUtils.dbConnection();
                PreparedStatement ps = createPreparedStatement(conn, "TorBlockedIps", ip); 
                ResultSet rs = ps.executeQuery()) {
            while(rs.next()) {
                ipMatches = true;
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }

        
        if (response instanceof HttpServletResponse) {
            HttpServletResponse httpResp = (HttpServletResponse) response;
            if (ipMatches) {
                httpResp.sendError(HttpServletResponse.SC_FORBIDDEN, "Access denied: 403 Forbidden");
            } else {
                chain.doFilter(request, response);
            }
        } else {
            chain.doFilter(request, response);
        }
    }

    @Override
    public void destroy() {
    }
}
