/*
 * LineFormatter.java
 *
 * Created on May 14, 2006, 1:58 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package info.heinzelnisse.utils;

/**
 *
 * @author Heiko Klein
 */
interface LineFormatter {

    /**
     * cleanup code required by the LineFormatter
     * should be ended after the last line has been added
     *
     * LineFormatter should be finished in the opposite direction
     * they usually get fed with lines.
     */
    String finish();

    /**
     * Reformats a line
     */
    String formatLine(String line);

    /**
     * The clone method is required, since the formatter is
     * a singleton and won't have several instances of the line-formatters,
     * while the line-formatters might need a state between formatLine and finish.
     *
     * clone should be a deep copy, that is, internal objects need to be copied to,
     * not only the object-references, as Object.cone does.
     *
     * @return a copy of the object
     */
    public LineFormatter clone() throws CloneNotSupportedException;
    
}
