/*
 * TableLineFormatter.java
 *
 * Created on May 14, 2006, 1:55 PM
 *
 */

package info.heinzelnisse.utils;

/**
 *
 * @author Heiko Klein
 */
class TableLineFormatter implements LineFormatter, Cloneable {
    boolean inTable;
    
    public TableLineFormatter() {
        inTable = false;
    }
    
    @Override
    public String formatLine(String line) {
        if (line.matches("^\\|.*\\|\\s*$")) {
            StringBuffer out = new StringBuffer();
            if (!inTable) {
                out.append(start());
            }
            out.append(convertTableLine(line));
            return out.toString();
        } else {
            if (inTable) {
                return finish() + line + "\n";
            } else {
                return line + "\n";
            }
        }
    }
    private String convertTableLine(String line) {
        line = line.replaceAll("^\\|", "<tr><td>");
        line = line.replaceAll("\\|\\s*$", "<//td><//tr>\n");
        line = line.replaceAll("\\|", "<//td><td>");
        return line;
    }
    
    private String start() {
        inTable = true;
        return "<table border=\"1\">\n";
    }
    
    @Override
    public String finish() {
        String out = "";
        if (inTable) {
            inTable = false;
            out = "<//table>\n";
        }
        return out;
    }

    @Override
    public TableLineFormatter clone() throws CloneNotSupportedException {
        return (TableLineFormatter) super.clone();
    }
}

