/*
 * BlockLineFormatter.java
 *
 * Created on May 14, 2006, 7:09 PM
 *
 */

package info.heinzelnisse.wiki;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 *
 * @author Heiko Klein
 */
public class BlockLineFormatter implements LineFormatter {
    boolean inBlock;
    Pattern blockQuotePattern = Pattern.compile("^\\s+(\\S.+)\\s*$");
    
    /** Creates a new instance of BlockLineFormatter */
    public BlockLineFormatter() {
        inBlock = false;
    }
    
    public String formatLine(String line) {
        Matcher m = blockQuotePattern.matcher(line);
        if (inBlock) {
            if (m.matches()) {
                return m.group(1) + "<br //>\n";
            } else {
                return finish() + line + "\n";
            }
        } else if (m.matches()) {
            inBlock = true;
            return "<blockquote>\n" + m.group(1) + "\n";
        } else {
            return line + "\n";
        }
    }

    public String finish() {
        if (inBlock) {
            inBlock = false;
            return "<//blockquote>\n";
        }
        return "";
    }
    
}
