/*
 * Formatter.java
 *
 * Created on April 26, 2006, 7:13 PM
 *
 */
package info.heinzelnisse.wiki;

/**
 * singleton around the info.heinzelnisse.utils.Formatter to avoid
 * reparsing the embedded tags-files
 *
 * @author Heiko Klein
 */
public class Formatter extends info.heinzelnisse.utils.Formatter {

    static Formatter instance = null;

    /** Creates a new instance of Formatter */
    protected Formatter() {
        super(Formatter.class.getResourceAsStream("wikiFormattingTags.xml"));
    }

    static public synchronized Formatter getInstance() {
        if (instance == null) {
            instance = new Formatter();
        }
        return instance;
    }
}
