/*
 * WikiFormatter.java
 *
 * Created on April 26, 2006, 7:13 PM
 *
 */
package info.heinzelnisse.wiki;

/**
 * singleton around the info.heinzelnisse.utils.WikiFormatter to avoid
 * reparsing the embedded tags-files
 *
 * @author Heiko Klein
 */
public class WikiFormatter extends info.heinzelnisse.utils.Formatter {

    static WikiFormatter instance = null;

    /** Creates a new instance of WikiFormatter */
    protected WikiFormatter() {
        super(WikiFormatter.class.getResourceAsStream("wikiFormattingTags.xml"));
    }

    static public synchronized WikiFormatter getInstance() {
        if (instance == null) {
            instance = new WikiFormatter();
        }
        return instance;
    }
}
