/*
 * Comment.java
 *
 * Created on August 16, 2006, 12:46 PM
 */

package info.heinzelnisse.www;

import info.heinzelnisse.forum.User;
import java.util.logging.Logger;
import javax.mail.MessagingException;

import javax.servlet.http.*;

/**
 * * Created on August 16, 2006, 12:46 PM
 *
 * @author Heiko Klein
 * @version
 */
public class Comment extends BaseServlet {
    static Logger logger = Logger.getLogger(Comment.class.getName());
    
    /** Body of the page
     * @param request servlet request
     * @param response servlet response
     */
    @Override
    protected void processRequestBody(HttpServletRequest request, ResponseCache responseCache) {
        SettingsBean sb = new SettingsBean();
        sb.setWord(request.getParameter("word"));
        sb.setComment(request.getParameter("comment"));
        request.setAttribute("commentSettings", sb);
        
        saveSendComment(sb, getUserSettings(request).getUser());
        
        responseCache.addIncludePage("/WEB-INF/fragments/comment.jsp");
    }
    
    @Override
    protected CardBean.Card getCard() {
        return CardBean.Card.Dict;
    }
    
    /** Returns a short description of the servlet.
     */
    @Override
    public String getServletInfo() {
        return "Heinzelnisse Comment";
    }
    
    private void saveSendComment(SettingsBean sb, User user) {
        if (sb.getComment() == null) return;
        String comment = sb.getComment().trim();
        if (comment.equals("")) return;
        
        try {
            ServletUtils.sendEmail("heinzelnisse@heinzelnisse.info", "emm.julia@gmail.com", "Kommentar zur Heinzelnisse ("+ sb.getWord() + ")", "Liebe Julia,\n\n"+"ich möchte gerne folgendes zu "+sb.getWord()+" sagen:\n\n"+comment+"\n\nDein "+ user.getDisplayName() + " <"+user.getEmail()+">");
        } catch (MessagingException mex) {
            mex.printStackTrace();
        }
    }
    
    static public class SettingsBean {
        private String word = "";
        private String comment = "";
        
        public SettingsBean() {
        }
        
        public String getWord() {
            return word;
        }
        
        public void setWord(String word) {
            if (word != null) this.word = word;
        }
        
        public String getComment() {
            return comment;
        }
        
        public void setComment(String comment) {
            this.comment = comment;
        }
    }
}
