/*
 * Download.java
 *
 * Created on August 15, 2006, 1:17 PM
 */

package info.heinzelnisse.www;

import info.heinzelnisse.forum.User;
import java.io.*;
import java.net.*;
import java.util.logging.Logger;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 * * Created on August 15, 2006, 1:17 PM
 *
 * @author Heiko Klein
 * @version
 */
public class Download extends BaseServlet {
    static Logger logger = Logger.getLogger(Download.class.getName());
    
    /** Body of the page
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequestBody(HttpServletRequest request, ResponseCache responseCache) {
        logger.fine("entering download");
        User user = getUserSettings(request).getUser();
        logger.fine("User: "+ user.getDisplayName());
        responseCache.addIncludePage("/WEB-INF/fragments/download.jsp");
    }
    
    @Override
    protected CardBean.Card getCard() {
        return CardBean.Card.Download;
    }
    
    @Override
    protected String getTitle(HttpServletRequest request) {
        UserSettingsBean sb = getUserSettings(request);
        if ("de".equals(sb.getLang()))
            return "Heinzelnisse - Download";
        else
            return "Heinzelnisse - Nedlasting";
    }

    
    /** Returns a short description of the servlet.
     */
    @Override
    public String getServletInfo() {
        return "Heinzelnisse Download";
    }
}
