/*
 * Help.java
 *
 * Created on December 22, 2005, 10:20 AM
 */

package info.heinzelnisse.www;

import info.heinzelnisse.wiki.Page;
import info.heinzelnisse.www.wiki.PageBean;
import java.io.*;
import java.util.logging.Logger;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Heiko Klein
 * @version
 */
public class Help extends BaseServlet {
    private static Logger logger = Logger.getLogger(Help.class.getName());
    
    protected void processRequestBody(HttpServletRequest request, ResponseCache responseCache) {
        PageBean pb = new PageBean();
        if ("de".equals(getUserSettings(request).getLang())) {
            pb.setPage(Page.getPage("Hilfe"));
        } else {
            pb.setPage(Page.getPage("Hjelp"));
        }
        if (pb.getPage() == null) {
            logger.warning("couldn't find help page for lang " + getUserSettings(request).getLang());
        }
        request.setAttribute("helpContent", pb.getPageAsHtml());
        responseCache.addIncludePage("/WEB-INF/fragments/help.jsp");
    }
    
    @Override
    protected CardBean.Card getCard() {
        return CardBean.Card.Help;
    }
    
    @Override
    protected String getTitle(HttpServletRequest request) {
        UserSettingsBean sb = getUserSettings(request);
        if ("de".equals(sb.getLang()))
            return "Heinzelnisse - Hilfe";
        else
            return "Heinzelnisse - Hjelp";
    }

    
    /** Returns a short description of the servlet.
     */
    @Override
    public String getServletInfo() {
        return "Heinzelnisse Help";
    }
}
