/*
 * ServletUtils.java
 *
 * Created on January 23, 2006, 8:13 PM
 *
 */

package info.heinzelnisse.www;

import java.util.Properties;
import java.util.logging.Logger;
import java.util.regex.Pattern;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author Heiko Klein
 */
public class ServletUtils {
    static Logger logger = Logger.getLogger(ServletUtils.class.getName());
    static final Pattern ampPattern = Pattern.compile("&");
    static final Pattern quotPattern = Pattern.compile("\"");
    static final Pattern ltPattern = Pattern.compile("<");
    static final Pattern gtPattern = Pattern.compile(">");
    
    /*
     * @return trimmed string, "" when no parameter
     */
    static public String getParameter(HttpServletRequest request, String param) {
        String out = request.getParameter(param);
        out = (out == null) ? "" : out.trim();
        return out;
    }
    
    static public void sendEmail(String from, String to, String subject, String text) throws MessagingException {
        String host = "localhost";
        InternetAddress fromAddress = new InternetAddress(from);
        InternetAddress toAddress = new InternetAddress(to);
        // Get system properties
        Properties props = System.getProperties();
        
        // Setup mail server
        props.put("mail.smtp.host", host);
        props.put("mail.mime.charset", "UTF-8");
        
        // Get session
        Session session = Session.getDefaultInstance(props, null);
        session.setDebug(false);
        // Define message
        MimeMessage message = new MimeMessage(session);
        message.setFrom(fromAddress);
        message.addRecipient(Message.RecipientType.TO, toAddress);
        message.setSubject(subject);
        message.setText(text);
        
        // Send message
        logger.fine("sending message to "+ toAddress.toString());
        Transport.send(message);
    }

    static public String escapeHtml(String text) {
        if (text != null) {
            text = ampPattern.matcher(text).replaceAll("&amp;");
            text = quotPattern.matcher(text).replaceAll("&quot;");
            text = ltPattern.matcher(text).replaceAll("&lt;");
            text = gtPattern.matcher(text).replaceAll("&gt;");
        }
        return text;
    }
    
}
