/*
 * 
 * 
 */
package info.heinzelnisse.www;

import info.heinzelnisse.dictionary.DictStatisticCache;
import info.heinzelnisse.dictionary.DictUtils;
import java.io.*;

import java.util.logging.Logger;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Class for minimal dictionary, i.e. for mobiles
 *
 * @author hklein
 */
public class Tiny extends HttpServlet {

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        SearchSettingsBean ssb = new SearchSettingsBean();
        ssb.setDictDeNoSearch(true);
        ssb.setDictExactSearch(true);
        ssb.setDictNoDeSearch(true);
        ssb.setForumKeywordSearch(false);
        ssb.setForumSearch(false);
        ssb.setWikiSearch(false);
        ssb.addRequestParameters(request);
        SearchBean sb = new SearchBean();
        sb.setSsb(ssb);
        request.setAttribute("search", sb);
        response.setContentType("application/xhtml+xml;charset=UTF-8");
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/fragments/tiny.jsp");
        dispatcher.include(request, response);
        if (ssb.getSearchItem() != null && (!ssb.getSearchItem().equals(""))) {
            Logger.getLogger(this.getClass().getName()).fine("adding statistics");
            DictStatisticCache dsc = DictStatisticCache.getInstance();
            dsc.incrementUsageCounter(DictUtils.DictType.mobile);
            if ((sb.getDeTranslations().size() + sb.getNoTranslations().size()) > 0) {
                dsc.addWordAccess(ssb.getSearchItem(), true);
            } else {
                dsc.addWordAccess(ssb.getSearchItem(), false);
            }
        }

    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
