/*
 * UserSettingsBean.java
 *
 * Created on October 18, 2005, 9:24 AM
 *
 */

package info.heinzelnisse.www;

import info.heinzelnisse.forum.User;
import java.io.Serializable;

/**
 *
 * @author Heiko Klein
 */
public class UserSettingsBean implements Serializable {
    private String lang = "de";
    private String otherLangUri = "";
    private String langContextPath = "";
    private User user = new User(0);
    
    /** Creates a new instance of UserSettingsBean */
    public UserSettingsBean() {
    }

    public String getLang() {
        return lang;
    }

    /**
     * Language is defined by URI. /ContextPath/no/... is no, /ContextPath/... is de.
     * This function defines also the values derived by getOtherLangUri
     */
    public void setLangByContextPathAndURI(String contextPath, String uri) {
        if (uri.substring(contextPath.length()).startsWith("/no")) {
            lang = "no";
            // remove three /no characters for german uri
            langContextPath = contextPath + "/no";
            otherLangUri = contextPath + uri.substring(contextPath.length() + 3);
        } else {
            lang = "de";
            // add /no for norwegian uri
            langContextPath = contextPath;
            otherLangUri = contextPath + "/no" + uri.substring(contextPath.length());
        }
    }

    public String getLangContextPath() {
        return langContextPath;
    }
    
    public String getOtherLangUri() {
        return otherLangUri;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
    
}
