/*
 * ForumFormatter.java
 *
 * Created on April 26, 2006, 7:13 PM
 *
 */
package info.heinzelnisse.www.forum;

/**
 * singleton around the info.heinzelnisse.utils.ForumFormatter to avoid
 * reparsing the embedded tags-files
 *
 * @author Heiko Klein
 */
public class ForumFormatter extends info.heinzelnisse.utils.Formatter {

    static ForumFormatter instance = null;

    /** Creates a new instance of ForumFormatter */
    protected ForumFormatter() {
        super(ForumFormatter.class.getResourceAsStream("forumFormattingTags.xml"));
    }

    static public synchronized ForumFormatter getInstance() {
        if (instance == null) {
            instance = new ForumFormatter();
        }
        return instance;
    }
}
