/*
 * Permalink.java
 *
 * Created on March 3, 2008, 7:58 PM
 */

package info.heinzelnisse.www.forum;

import info.heinzelnisse.forum.Question;
import info.heinzelnisse.www.UserSettingsBean;
import java.util.ArrayList;
import java.util.logging.Logger;

import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * * Created on March 3, 2008, 7:58 PM
 *
 * @author hklein
 * @version
 */
public class Permalink extends info.heinzelnisse.www.BaseServlet {
    static Logger logger = Logger.getLogger(Permalink.class.getName());
    static Pattern idPattern = Pattern.compile(".*/permalink/(\\d+)");

    
    private int getQuestionId(HttpServletRequest request) {
        Matcher matcher = idPattern.matcher(request.getRequestURI());
        if (matcher.matches()) {
            return Integer.parseInt(matcher.group(1));
        } else {
            return -1;
        }
    }
    /** Body of the page
     * @param request servlet request
     * @param response servlet response
     */
    @Override
    protected void processRequestBody(HttpServletRequest request, info.heinzelnisse.www.ResponseCache responseCache) {
        int questionId = getQuestionId(request);
        if (questionId >= 0) {
            ReadBean frb = new ReadBean();
            request.setAttribute("forumInfo", frb);
            Question q = Question.searchById(questionId);
            if (q != null) {
                ArrayList<Question> questions = new ArrayList<Question>();
                questions.add(q);
                Forum.reformatQuestions(questions);
                frb.setQuestions(questions);
                responseCache.addIncludePage("/WEB-INF/fragments/forum/result.jsp");
            } else {
                responseCache.sendError(javax.servlet.http.HttpServletResponse.SC_NOT_FOUND, "Permalink " + questionId);
            }
        }
    }
    
    @Override
    protected info.heinzelnisse.www.CardBean.Card getCard() {
        // TODO: choose your card
        return info.heinzelnisse.www.CardBean.Card.Forum;
    }
    
    @Override
    protected String getTitle(HttpServletRequest request) {
        UserSettingsBean sb = getUserSettings(request);
        if ("de".equals(sb.getLang()))
            return "Heinzelnisse - Forum Permalink " + getQuestionId(request);
        else
            return "Heinzelnisse - Parlør Permalink " + getQuestionId(request);
    }

    
    /** Returns a short description of the servlet.
     */
    @Override
    public String getServletInfo() {
        // TODO:
        return "Heinzelnisse Forum, Permalink";
    }
}
