<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<jsp:useBean id="forumInfo" class="info.heinzelnisse.www.forum.ReadBean" scope="request" />
<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />
<c:choose>
    <c:when test="${userSettings.lang == 'de'}">
            <fmt:setLocale value="de_DE"/>
    </c:when>
    <c:otherwise>
        <fmt:setLocale value="no_NO" />
    </c:otherwise>
</c:choose>
<div id="forum">
    <c:forEach var="question" items="${forumInfo.questions}">
    <div class="forumQuestion">
        <div class="forumHeader">
            <a name="q_${question.id}" />
            <div class="forumHeaderLeft">
            <fmt:formatDate pattern="dd.MM.yy HH:mm" value="${question.timestamp}" /><c:if test="${question.user.valid}">, ${question.user.displayName} <c:if test="${! empty question.user.motherTongue}"><img src="${pageContext.request.contextPath}/images/flags/${question.user.motherTongue}.png" alt="${answer.user.motherTongue}" class="motherTongueFlag"/></c:if> </c:if>
            </div>
            <c:if test="${!empty (question.keywords)}">
                <div class="forumHeaderCenter">
                ${userSettings.lang == 'de' ? "Stichwörter:" : "Stikkord:"} <b>${question.keywordString}</b>
                </div>
            </c:if>
            <c:if test="${userSettings.user.admin}">
            <div class="forumHeaderRight">
                <c:if test="${not question.user.valid}"><a href='/forum/ban_ip?ban_ip=${question.address}'>${question.address}</a></c:if>
                <fieldset style="text-align: right;">
                    <input style="font-size: 7pt" type="button" onclick="deleteEntry('q_${question.id}')" value="${userSettings.lang == 'de' ? "Löschen" : "Slette"}" />
                </fieldset>
                </form>
            </div>
            </c:if>
            <div class="forumHeaderRight">
            <a href="${pageContext.request.contextPath}/forum/permalink/${question.id}">Permalink</a>
            </div>
            <div class="clearFloat"></div>
        </div>
        <div ${userSettings.user.valid && userSettings.user.id == question.user.id ? "class=\"forumEntryHighlight\"" : "class=\"forumEntry\""}>
        ${question.text}
        </div>
        <c:forEach var="answer" items="${question.answers}">
            <div class="forumAnswer">
                <div class="forumHeaderAnswer">
                    <div class="forumHeaderLeft">
                    <fmt:formatDate value="${answer.timestamp}" pattern="dd.MM.yy HH:mm" /><c:if test="${answer.user.valid}">, ${answer.user.displayName} <c:if test="${! empty answer.user.motherTongue}"><img src="${pageContext.request.contextPath}/images/flags/${answer.user.motherTongue}.png" alt="${answer.user.motherTongue}" class="motherTongueFlag"/></c:if> </c:if>
                    </div>
                <c:if test="${userSettings.user.admin}">
                    <div class="forumHeaderRight">
                        <c:if test="${not answer.user.valid}"><a href='/forum/ban_ip?ban_ip=${answer.address}'>${answer.address}</a></c:if>
                    <form><fieldset>
                        <input type="button" style="font-size: 7pt;" onclick="deleteEntry('a_${answer.id}')" value="${userSettings.lang == 'de' ? "Löschen" : "Slette"}" />
                    </fieldset></form>
                    </div>
                </c:if>
                </div>
                <div ${userSettings.user.valid && userSettings.user.id == answer.user.id ? "class=\"forumEntryHighlight\"" : "class=\"forumEntry\""}>
                ${answer.text}
                </div>
            </div>
         </c:forEach>
        
        <c:if test="${forumInfo.status == 'current'}">
        <c:choose>
            <c:when test="${userSettings.user.valid}">
         <form method="post" enctype="application/x-www-form-urlencoded" action="${pageContext.request.requestURL}">
         <fieldset>
            <input type="hidden" name="ID" value="${question.id}" />
            <input type="submit" name=".State" value="${userSettings.lang == "de" ? "Antwort" : "Svar"}" />
            <input type="hidden" name="date" value="${forumInfo.formattedDate}" />
        </fieldset>
        </form>
            </c:when>
            <c:otherwise>
        <form method="post" action="${pageContext.request.contextPath}/loginScreen">
        <fieldset>
         <!-- <legend class="noDisplay">Einloggen:</legend> -->
         <label class="noDisplay" for="loginbutton">Login</label>
         <input type="hidden" name="returnUrl" value="${pageContext.request.requestURL}" />
         <input type="hidden" name=".State" value="" />
         <input type="submit" id="loginbutton" value="${userSettings.lang == 'de' ? "Login/Antwort" : "Login/Svar"}" />
        </fieldset> 
       </form>
            </c:otherwise>
        </c:choose>
        </c:if>
    </div> <!-- forumQuestion -->
    </c:forEach>
</div> <!-- forum -->
