<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<jsp:useBean id="forumWriter" type="info.heinzelnisse.www.ForumWriteBean" scope="request" />
<jsp:useBean id="userSettings" type="info.heinzelnisse.www.UserSettingsBean" scope="session" />

<c:choose>
<c:when test="${forumWriter.question != null}">

<table border="1" width="100%"> <!-- one row per question/answer combination -->
<colgroup>
  <col width="100%">
</colgroup>
    <tr>
        <td>
            <table width="100%"> <!-- consisting of three rows: queston, answers, button -->
                <tr>
                    <td><a name="q_${forumWriter.question.id}" />
                        <div class="Date"><fmt:formatDate value="${forumWriter.question.timestamp}" pattern="dd.MM.yy HH:mm" /><c:if test="${forumWriter.question.user.valid}">, ${forumWriter.question.user.displayName}</c:if></div>${forumWriter.question.text}
                    </td>
                </tr>
                <c:if test="${!empty(forumWriter.question.answers)}">
                <tr>
                    <td style="padding-left: 1.5em">
                        <table border="1" width="97%"> <!-- consisting of answers -->
                            <c:forEach var="answer" items="${forumWriter.question.answers}">
                            <tr>
                                <td><div class="Date"><fmt:formatDate value="${answer.timestamp}" pattern="dd.MM.yy HH:mm" /><c:if test="${answer.user.valid}">, ${answer.user.displayName}</c:if></div>${answer.text}
                                </td>
                            </tr>
                            </c:forEach>
                        </table>
                    </td>
                </tr>
                </c:if>
                <tr align="center">
                    <th>
                    ${userSettings.lang == 'de' ? "Neue Antwort" : "Nytt svar"}<br />
                    <form method="post" enctype="application/x-www-form-urlencoded" action="${request.url}#q_${forumWriter.question.id}">
                        <textarea name="text" rows="5" cols="60" wrap="physical"></textarea><br />
                        ${userSettings.lang == 'de' ? "Ich versichere hiermit, dass ich den Beitrag selbst verfasst habe bzw. dass er keine fremden Rechte verletzt und willige ein, ihn unter der <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU-Lizenz für freie Dokumentation</a> zu veröffentlichen." : "Legg merke til at alle bidrag til Heinzelnisse er å betrakte som utgitt under <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU fri dokumentasjonslisens</a>. Du lover oss at du skrev teksten selv eller kopierte fra en ressurs som ikke er beskyttet av opphavsrett."}
                        <br />
                        <input type="submit" name=".State" value="Abschicken" />
                        <input type="hidden" name="date" value="${param.date}" />
                        <input type="hidden" name="ID" value="${forumWriter.question.id}" />
                    </form>
                    </th>
                </tr>
            </table>
        </td>
    </tr>
</table>

</c:when>

<c:otherwise>
<table border="1" width="100%"> <!-- one row per question/answer combination -->
<colgroup>
  <col width="100%">
</colgroup>
    <tr align="center">
        <th>
                    ${userSettings.lang == 'de' ? "Neue Frage" : "Nytt spørsmål"}<br />
                    <form method="post" enctype="application/x-www-form-urlencoded">
                        <textarea name="text" rows="5" cols="60" wrap="physical"></textarea><br />
                        ${userSettings.lang == 'de' ? "Ich versichere hiermit, dass ich den Beitrag selbst verfasst habe bzw. dass er keine fremden Rechte verletzt und willige ein, ihn unter der <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU-Lizenz für freie Dokumentation</a> zu veröffentlichen." : "Legg merke til at alle bidrag til Heinzelnisse er å betrakte som utgitt under <a href=\"http://www.gnu.org/copyleft/fdl.html\">GNU fri dokumentasjonslisens</a>. Du lover oss at du skrev teksten selv eller kopierte fra en ressurs som ikke er beskyttet av opphavsrett."}
                        <br />
                        <input type="submit" name=".State" value="${userSettings.lang == 'de' ? "Abschicken" : "Sende"}" />
                    </form>
        </th>
    </tr>
</table>

</c:otherwise>

</c:choose>