<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="card" scope="request" class="info.heinzelnisse.www.CardBean" />

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="${userSettings.lang == 'de' ? "de-DE" : "nb"}" lang="${userSettings.lang == 'de' ? "de" : "no"}">
  <head>
        <title>${requestScope.title}</title>
        <link rel="SHORTCUT ICON" href="${pageContext.request.contextPath}/images/favicon.ico" />
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        
        <link rel="stylesheet" media="all and (max-device-width: 800px)"  href="${pageContext.request.contextPath}/css/small-device-min.css" type="text/css" />
        <link rel="stylesheet" media="all and (min-device-width: 801px)" href="${pageContext.request.contextPath}/css/main-min.css" type="text/css" />
<!--[if (lt IE 9) & (!IEMobile)]>
        <link rel="stylesheet" media="screen" href="${pageContext.request.contextPath}/css/main-min.css" type="text/css" >
<![endif]-->
<!--[if lt IE 7.]>
 <style type="text/css">@import url(${pageContext.request.contextPath}/css/ie6.css);</style>
<![endif]-->
        <link rel="search" type="application/opensearchdescription+xml" title="Heinzelnisse" href="${pageContext.request.contextPath}/static/heinzelnisseOpensearch.xml" />

        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta name="author" content="Heiko Klein, Julia Emmerich" />
        <meta name="verify-v1" content="zBcLT383NNfGMeyo07ZOZY1PKmzOrlkbwmDHJpMxHhg=" /> <!-- google -->
        <meta name="y_key" content="7f06440890e84bcf" /> <!-- yahoo --> 
        <meta name="keywords" lang="de" content="deutsch, norwegisch, W&ouml;rterbuch, Vokabel, Lernhilfe" />
        <meta name="keywords" lang="no" content="norsk, bokm&aring;l, tysk, ordbok" />
        <meta name="keywords" lang="en" content="norwegian, german, dictionary, trainer" />
        <meta http-equiv="content-language" content="${userSettings.lang}" />

        <link href="${pageContext.request.contextPath}/css/jquery-ui-1.12.1.custom/jquery-ui.min.css" rel="stylesheet" type="text/css"/>
        <script src="https://code.jquery.com/jquery-2.2.4.min.js"  type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/css/jquery-ui-1.12.1.custom/jquery-ui.min.js" type="text/javascript"></script>

        <script type="text/javascript">
$(document).ready(function() {
    $("input#searchItem").autocomplete({
        minLength: 2,
        delay: 300, // ms
        source: function( request, response ) {
            $.ajax({
                url: "${pageContext.request.contextPath}/suggest",
                dataType: "json",
                data: {
                    searchItem: request.term,
                    type: "json"
                },
                success: function( data ) {
                    response( $.map( data[1], function( item ) {
                        return {
                            label: item,
                            value: item
                        }
                    }));
                }
            });
        },
        select: function(event, ui) {
            window.location.href = 'dict?searchItem=' + ui.item.value;
        }
    });
    // focus on textarea for comments when available
    $("textarea#commentArea").focus();
});
        </script>

        <style type="text/css">
            <!--
            .dictTable {border: thin solid #aaaaaa;}
            table.dictTable {border-collapse: collapse;}
            -->
        </style>
    </head>
<body onload="setfocus();">
     <p class="noDisplay"><a href="#content" accesskey="3">Direkt zum Seiteninhalt springen</a></p>
      <div id="frame">
          <div id="heinzelnisse"></div>
          <div id="header">
              <h1><img alt="Heinzelnisse" src="${pageContext.request.contextPath}/images/none.png" />${userSettings.lang == 'de' ? "Deutsch - Norwegisches Wörterbuch" : "Norsk - Tysk Ordbok"}</h1>
          </div>
          <div id="menu">
              <a id="menubutton" href="javascript:displayHideBlock('menuoptions')" style="padding-left: 60px"><b>${userSettings.lang == 'de' ? "Menü" : "Menu"}</b></a>
              <div id="menuoptions">
              <ul>
                  <li><a href="${userSettings.langContextPath}/dict">${"de" == userSettings.lang ? "Wörterbuch" : "Ordbok"}</a></li>
                  <li><a href="${userSettings.langContextPath}/trainer">${"de" == userSettings.lang ? "Vokabelspiele" : "Gloseleker"}</a></li>
                  <li><a href="${userSettings.langContextPath}/wiki/HeinzelWiki">${"de" == userSettings.lang ? "Sprachthemen" : "Språktemaer"}</a></li>
                  <li><a href="${userSettings.langContextPath}/forum">Forum</a></li>
                  <li><a href="${userSettings.langContextPath}/download">Download</a></li>
                  <li><a href="${userSettings.langContextPath}/help">${"de" == userSettings.lang ? "Hilfe" : "Hjelp"}</a></li>
              </ul>
              </div>
              <div id="menu_language">
                  <a href="${userSettings.otherLangUri}"><img src="${pageContext.request.contextPath}/images/flags/${"de" == userSettings.lang ? "no" : "de"}.png" alt="${"de" == userSettings.lang ? "no" : "de"}" id="flag" /></a>
              </div>
              <div id="menu_impressum"><a href="${pageContext.request.contextPath}/${"de" == userSettings.lang ? "" : "no/"}wiki/Impressum">Impressum</a></div>
              <!-- <div class="login">Login</div> -->
              <div class="clearFloat"></div>
          </div>
          <div id="content">
              <a name="content" /> 
              <div class="main"><!-- currently no left and right -->
