<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="loginSettings" scope="session" class="info.heinzelnisse.www.LoginSettingsBean" />

<c:if test="${wrongUser}">
    <div class="warning">${userSettings.lang == "de" ? "Falscher Name/Passwort" : "Ukjent bruker/passord"}</div>
</c:if>
<c:if test="${userExists}">
    <div class="warning">${param.loginName} ${userSettings.lang == "de" ? "schon vergeben" : "allerede brukt"}</div>
</c:if>
<c:if test="${emailExists}">
    <div class="warning">${param.email} ${userSettings.lang == "de" ? "schon angemeldet" : "allerede påmeldt"}</div>
</c:if>
<c:if test="${noEmail}">
    <div class="warning">${param.email} ${userSettings.lang == "de" ? "ungültige E-Mail Adresse" : "ikke gyldig epost-adresse"}</div>
</c:if>

<c:if test="${newUser && ! newUserErrors}">
    <div>${userSettings.lang == "de" ? "Deine Email wird überprüft. In spätestens 24 Stunden sollte eine Email mit Password eintreffen. Bitte dann mit zugemailtem Passwort anmelden." : "Du er registrert, men noen ting må sjekkes manuelt. Om senest 24 timer skal du få en epost med passord. Du kan deretter logge deg inn."}</div>
</c:if>

<c:if test="${sendPassword}">
    <div>${userSettings.lang == "de" ? "Neues Passwort wurde verschickt an: " : "Nytt passord ble send til: "}${sendEmail}</div>
</c:if>
<c:if test="${unknownDisplayName}">
    <div>${param.loginName} ${userSettings.lang == "de" ? "unbekannt" : "ukjent"}</div>
</c:if>

<c:choose>
<c:when test="${! userSettings.user.valid}">
<form accept-charset="UTF-8" method="post">
<h2>Login</h2>
<table>
<tr>
    <th>${userSettings.lang == "de" ? "User/E-Mail" : "Bruker/Epost"}</th><td><input name="loginName" type="text" maxlength="64" value="${param.loginName}"/></td>
</tr><tr>
    <th>${userSettings.lang == "de" ? "Passwort" : "Passord"}</th><td><input name="password" type="password" maxlength="8" /></td>
    </tr><tr>
        <td></td><td><input type="submit" name=".State" value="Login"></td>
    </tr>
    <tr>
        <td></td><td><input type="submit" style="font-size: 7pt;border-style:groove;" name=".State" value="${userSettings.lang == 'de' ? 'Passwort vergessen' : 'Glemt passord'}" /></td>
</tr>
</table>
</form>

<hr />

<form accept-charset="UTF-8" method="post">
<h2>${userSettings.lang == "de" ? "Erstanmeldung" : "Første Påmelding"}</h2>
<table>
<tr>
    <th>${userSettings.lang == "de" ? "Nutzername" : "Brukernavn"}</th><td><input name="loginName" type="text" maxlength="32" value="${param.loginName}"/></td>
</tr><tr>
    <th>${userSettings.lang == "de" ? "E-Mail" : "Epost"}</th><td><input name="email" type="text" maxlength="64" value="${param.email}"/></td>
</tr><tr>
    <td></td><td align="right"><input type="submit" name=".State" value="${userSettings.lang == 'de' ? 'Anmeldung' : 'Påmelding'}" /></td>
</tr>
</table>
</form>

</c:when>
<c:otherwise>
<form accept-charset="UTF-8" method="post">
<h2>Hallo ${userSettings.user.displayName}</h2>
<table>
<tr>
    <th>${userSettings.lang == "de" ? "E-Mail:" : "Epost:"}</th><td><input name="email" type="text" maxlength="64" value=${userSettings.user.email} /></td>
</tr>
<tr>
    <td>${userSettings.lang == "de" ? "Ich will E-Mail Information von der Heinzelnisse erhalten:" : "Jeg ønsker å motta informasjon fra Heinzelnisse via epost:"}</td><td><input name="info" type="radio" value="yes" ${userSettings.user.followUp ? 'checked="checked"' : ''}>ja</input><input name="info" type="radio" value="no" ${userSettings.user.followUp ? '' : 'checked="checked"'}>${userSettings.lang == 'de' ? "nein" : "nei"}</input></td>
</tr>
<tr>
    <td>${userSettings.lang == "de" ? "Muttersprache (Länderkode, 2 Buchstaben, z.B. DE, NO, AT, CH, SE):" : "Morsmål (Landkode, 2 bokstaver, f.e. NO, DE, AT, CH, SE):"}</td><td><input name="motherTongue" type="text" maxlength="2" value="${userSettings.user.motherTongue}" /></td>
</tr>
<tr>
    <td>${userSettings.lang == "de" ? "Bevorzugte Sprache:" : "Foretrukknet Språk:"}</td><td><input name="prefLang" type="radio" value="de" ${userSettings.user.preferredLanguage == 'de' ? 'checked="checked"' : ''}>deutsch</input><input name="prefLang" type="radio" value="no" ${userSettings.user.preferredLanguage == 'de' ? '' : 'checked="checked"'}>norsk</input></td>
</tr>
<tr>
    <td></td><td align="right"><input type="submit" name=".State" value="${userSettings.lang == 'de' ? 'Einstellungen ändern' : 'Forandre innstillinger'}" /></td>
</tr>
</table>
</form>

<h2>Password-Änderung</h2>

<c:if test="${passwordChangeFailure}">
<font style="color:red;font-weight:bold">${userSettings.lang == "de" ? "Fehler beim Ändern des Passworts!" : "Feil ved passord-endring!"}</font>
</c:if>
<form accept-charset="UTF-8" method="post">
<table>
<tr>
    <th>${userSettings.lang == "de" ? "Altes Passwort:" : "Gammel Passord:"}</th><td><input name="old_password" type="password" maxlength="8" /></td>
<tr></tr>
    <td>${userSettings.lang == "de" ? "Neues Passwort:" : "Nytt Passord:"}</td><td><input name="new_password1" type="password" maxlength="8" />${userSettings.lang == "de" ? "Achtung: Passwort wird im Klartext gespeichert!" : "Obs: Passord lagres uten sikkerhet!"}</td>
<tr></tr>
    <td>${userSettings.lang == "de" ? "Neues Passwort erneut:" : "Nytt Passord, igjen:"}</td><td><input name="new_password2" type="password" maxlength="8" />${userSettings.lang == "de" ? "Achtung: Passwort wird im Klartext gespeichert!" : "Obs: Passord lagres uten sikkerhet!"}</td>
<tr></tr>
<td></td><td align="right"><input type="submit" name=".State" value="${userSettings.lang == 'de' ? 'Passwort ändern' : 'Forandre passord'}" /></td>
</tr>
</table>
</form>



</c:otherwise>
</c:choose>

<c:if test="${! empty (loginSettings.returnUrl)}">
<div align="right">
    <a href="${loginSettings.returnUrl}">${userSettings.lang == "de" ? "Zurück" : "Tilbake"}</a>
</div>
</c:if>