<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 
<%@taglib uri="/WEB-INF/tlds/urlencode" prefix="ue" %>

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="searchSettings" scope="request" class="info.heinzelnisse.www.SearchBean" />

<c:if test="${!empty (searchSettings.searchItem)}">
    <c:if test="${searchSettings.dictNoDeSearch || searchSettings.dictDeNoSearch}">
        <jsp:include page="/WEB-INF/fragments/search/translationTable.jsp" />
        <div style="text-align: right">
            <c:choose>
                <c:when test="${userSettings.user.valid}">
                    <form method="post" action="${userSettings.langContextPath}/comment" enctype="application/x-www-form-urlencoded">
                        <input type="hidden" name="word" value="${searchSettings.searchItem}">
                        <input type="submit" value="${userSettings.lang == 'de' ? 'Änderung/Neueintrag' : 'Forandring / Innføring'}">
                    </form>
                </c:when>
                <c:otherwise>    
                    <form method="post" action="${pageContext.request.contextPath}/loginScreen">
                    <fieldset>
                        <input type="hidden" name="returnUrl" value="${pageContext.request.requestURL}" />
                        <input type="hidden" name=".State" value="" />
                        <input type="submit" value="${userSettings.lang == 'de' ? 'Änderung/Neueintrag (nur für angemeldete Nutzer)' : 'Forandring / Innføring (bare for påmeldte brukere'}" class="submitLink" />
                    </fieldset>
                    </form>                    
                </c:otherwise>
            </c:choose>
        </div>
        
        <div>
            <c:if test="${searchSettings.dictPhoneticSearch && searchSettings.dictDeNoSearch}">
                <c:if test="${!empty (searchSettings.dePhonetics)}">
                    <h3>${userSettings.lang == 'de' ? "Ähnliche Wörter im Deutschen:" : "Lignende ord på tysk:"}</h3>
                    <ul>
                        <c:forEach var="similar" items="${searchSettings.dePhonetics}">
                            <li><a href="${pageInfo.request.requestUri}?searchItem=${similar}">${similar}</a></li>
                        </c:forEach>
                    </ul>
                </c:if>
            </c:if>
            <c:if test="${searchSettings.dictPhoneticSearch && searchSettings.dictNoDeSearch}">
                <c:if test="${!empty (searchSettings.noPhonetics)}">
                    <h3>${userSettings.lang == 'de' ? "Ähnliche Wörter im Norwegischen:" : "Lignende ord på norsk:"}</h3>
                    <ul>
                        <c:forEach var="similar" items="${searchSettings.noPhonetics}">
                            
                            <li><a href="${pageInfo.request.requestUri}?searchItem=${similar}">${similar}</a></li>
                        </c:forEach>
                    </ul>
                </c:if>
            </c:if>
            <c:if test="${searchSettings.dictBokmaalSearch && searchSettings.dictPhoneticSearch && searchSettings.dictNoDeSearch}">
                <c:if test="${!empty (searchSettings.bokmaalWords)}">
                    <h3>${userSettings.lang == 'de' ? "Ähnliche Wörter im Bokmål Wörterbuch:" : "Lignende ord i bokmål-ordboka:"}</h3>
                    <ul>
                        <c:forEach var="similar" items="${searchSettings.bokmaalWords}">
                            <li>${similar} <a href="http://ordbok.uib.no/perl/ordbok.cgi?begge=+&amp;ordbok=bokmaal&amp;s=n&amp;alfabet=n&amp;renset=j&amp;OPP=<ue:urlEncode charset="UTF-8" value="${similar}"/>"><img class="textFlag" src="${pageContext.request.contextPath}/images/dp.png" alt="dp" /></a></li>
                        </c:forEach>
                    </ul>
                </c:if>
            </c:if>
            <c:if test="${searchSettings.dictNynorskSearch && searchSettings.dictNoDeSearch}">
                <c:if test="${!empty (searchSettings.nynorskWords)}">
                    <h3>${userSettings.lang == 'de' ? "Ähnliche Wörter im Nynorsk Wörterbuch:" : "Lignende ord i nynorsk-ordboka:"}</h3>
                    <ul>
                        <c:forEach var="similar" items="${searchSettings.nynorskWords}">                            
                            <li>${similar} <a href="http://ordbok.uib.no/perl/ordbok.cgi?begge=+&amp;ordbok=bokmaal&amp;s=n&amp;alfabet=n&amp;renset=j&amp;OPP=<ue:urlEncode charset="UTF-8" value="${similar}"/>"><img class="textFlag" src="${pageContext.request.contextPath}/images/dp.png" alt="dp" /></a></li>
                        </c:forEach>
                    </ul>
                </c:if>
            </c:if>
        </div>
    </c:if>
</c:if>
