<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" scope="session" class="info.heinzelnisse.www.UserSettingsBean" />
<jsp:useBean id="searchSettings" scope="request" class="info.heinzelnisse.www.SearchBean" />


  <c:if test="${searchSettings.dictNoDeSearch && ! empty (searchSettings.noTranslations)}">
  <div class="dictSearchResult">
      <c:choose>
          <c:when test="${userSettings.lang == 'de'}">
              <h3>Norwegisch → Deutsch</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Norwegisch</th>
                  <th class="dictTable">Deutsch</th>
              </tr>
          </c:when>
          <c:otherwise>
              <h3>Norsk → Tysk</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Ord <em>Norsk</em></th>
                  <th class="dictTable">Ord <em>Tysk</em></th>
              </tr>
          </c:otherwise>
      </c:choose>
      <c:forEach var="trans" items="${searchSettings.noTranslations}">
          <tr>
              <td class="dictTable">
                  <c:if test="${!empty (trans.bokmaalLink)}">
                      <a href="http://ordbok.uib.no/perl/ordbok.cgi?begge=+&amp;ordbok=bokmaal&amp;s=n&amp;alfabet=n&amp;renset=j&amp;OPP=${trans.bokmaalLink}"><img class="textFlag" src="${pageContext.request.contextPath}/images/dp.png" alt="dp" /></a>
                  </c:if>
                  <a href="?searchItem=${trans.word}">${trans.word}</a>${empty (trans.article) ? "": " <i>("}${trans.article}${empty (trans.article) ? "": ")</i>"}${empty (trans.other) ? " ": ", "}${trans.other}
              </td>
              <td class="dictTable">
                  <c:if test="${!empty (trans.canooLink)}">
                      <a href="https://de.wiktionary.org/wiki/${trans.canooLink}"><img class="textFlag" src="${pageContext.request.contextPath}/images/g.png" alt="g" /></a>
                  </c:if>
                  <a href="?searchItem=${trans.t_word}">${trans.t_word}</a>${empty (trans.t_article) ? "" : " <i>("}${trans.t_article}${empty (trans.t_article) ? "" : ")</i>"}${empty (trans.t_other) ? " ": ", "}${trans.t_other}
                  <b><i>${trans.category}</i></b>
              </td>
          </tr>
      </c:forEach>
      </table>
  </div>
  </c:if>

  <c:if test="${searchSettings.dictDeNoSearch && ! empty (searchSettings.deTranslations)}">
  <div class="dictSearchResult">
      <c:choose>
          <c:when test="${userSettings.lang == 'de'}">
              <h3>Deutsch → Norwegisch</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Deutsch</th>
                  <th class="dictTable">Norwegisch</th>
              </tr>
          </c:when>
          <c:otherwise>
              <h3>Tysk → Norsk</h3>
              <table class="dictTable">
              <tr>
                  <th class="dictTable">Tysk</th>
                  <th class="dictTable">Norsk</th>
              </tr>
          </c:otherwise>
      </c:choose>
      <c:forEach var="trans" items="${searchSettings.deTranslations}">
          <tr>
              <td class="dictTable">
                  <c:if test="${!empty (trans.canooLink)}">
                      <a href="https://de.wiktionary.org/wiki/${trans.canooLink}"><img class="textFlag" src="${pageContext.request.contextPath}/images/g.png" alt="g" /></a>
                  </c:if>
                  <a href="?searchItem=${trans.word}">${trans.word}</a>${empty (trans.article) ? "" : " <i>("}${trans.article}${empty (trans.article) ? "" : ")</i>"}${empty (trans.other) ? " ": ", "}${trans.other}
              </td>
              <td class="dictTable">
                  <c:if test="${!empty (trans.bokmaalLink)}">
                      <a href="http://ordbok.uib.no/perl/ordbok.cgi?begge=+&amp;ordbok=bokmaal&amp;s=n&amp;alfabet=n&amp;renset=j&amp;OPP=${trans.bokmaalLink}"><img  class="textFlag" src="${pageContext.request.contextPath}/images/dp.png" alt="dp" /></a>
                  </c:if>
                  <a href="?searchItem=${trans.t_word}">${trans.t_word}</a>${empty (trans.t_article) ? "" : " <i>("}${trans.t_article}${empty (trans.t_article) ? "" : ")</i>"}${empty (trans.t_other) ? " ": ", "}${trans.t_other}
                  <b><i>${trans.category}</i></b>
              </td>
          </tr>
      </c:forEach>
      </table>
  </div>
  </c:if>
 
  <c:if test="${empty (searchSettings.deTranslations) && empty (searchSettings.noTranslations)}">
      <div align="center">
          <font size=+1>
              ${searchSettings.searchItem} ${userSettings.lang == "de" ? "konnte nicht übersetzt werden" : "kan ikke oversettes"}
          </font>
      </div>
  </c:if>
 