<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%> 

<jsp:useBean id="userSettings" class="info.heinzelnisse.www.UserSettingsBean" scope="session" />
<jsp:useBean id="wikiChangedPages" class="info.heinzelnisse.www.wiki.ChangedPagesBean" scope="request" />

<%@include file="/WEB-INF/fragments/wikiStartHeader.jspf" %>
<%@include file="/WEB-INF/fragments/wikiEndHeader.jspf" %>


<h1>${userSettings.lang == 'de' ? "Letzte Änderungen" : "Siste Forandring"}</h1>

<c:if test="${! empty (wikiChangedPages.lastDayPages)}">
<h2>${userSettings.lang == 'de' ? "Gestern" : "I går"}</h2>
<table border="0">
    <c:choose>
        <c:when test="${userSettings.lang == 'de'}">
            <tr>
                <th>Seite</th>
                <th>Version</th>
                <th>Datum</th>
                <th>Autor</th>
            </tr>
        </c:when>
        <c:otherwise>
            <tr>
                <th>Side</th>
                <th>Versjon</th>
                <th>Datum</th>
                <th>Forfatter</th>
            </tr>
        </c:otherwise>
    </c:choose>
    <c:forEach var="page" items="${wikiChangedPages.lastDayPages}">
        <tr>
            <td><a href="${userSettings.langContextPath}/wiki/${page.name}">${page.name}</a>
            <td>${page.version}</td>
            <td>${page.timestamp}</td>
            <td>${page.user.displayName}</td>
        </tr>
    </c:forEach>
</table>
</c:if>

<c:if test="${! empty (wikiChangedPages.lastWeekPages)}">
<h2>${userSettings.lang == 'de' ? "Letzte Woche" : "Siste uke"}</h2>
<table border="0">
    <c:choose>
        <c:when test="${userSettings.lang == 'de'}">
            <tr>
                <th>Seite</th>
                <th>Version</th>
                <th>Datum</th>
                <th>Autor</th>
            </tr>
        </c:when>
        <c:otherwise>
            <tr>
                <th>Side</th>
                <th>Versjon</th>
                <th>Datum</th>
                <th>Forfatter</th>
            </tr>
        </c:otherwise>
    </c:choose>
    <c:forEach var="page" items="${wikiChangedPages.lastWeekPages}">
        <tr>
            <td><a href="${userSettings.langContextPath}/wiki/${page.name}">${page.name}</a>
            <td>${page.version}</td>
            <td>${page.timestamp}</td>
            <td>${page.user.displayName}</td>
        </tr>
    </c:forEach>
</table>
</c:if>

<c:if test="${! empty (wikiChangedPages.lastMonthPages)}">
<h2>${userSettings.lang == 'de' ? "Letzter Monat" : "Sist måned"}</h2>
<table border="0">
    <c:choose>
        <c:when test="${userSettings.lang == 'de'}">
            <tr>
                <th>Seite</th>
                <th>Version</th>
                <th>Datum</th>
                <th>Autor</th>
            </tr>
        </c:when>
        <c:otherwise>
            <tr>
                <th>Side</th>
                <th>Versjon</th>
                <th>Datum</th>
                <th>Forfatter</th>
            </tr>
        </c:otherwise>
    </c:choose>
    <c:forEach var="page" items="${wikiChangedPages.lastMonthPages}">
        <tr>
            <td><a href="${userSettings.langContextPath}/wiki/${page.name}">${page.name}</a>
            <td>${page.version}</td>
            <td>${page.timestamp}</td>
            <td>${page.user.displayName}</td>
        </tr>
    </c:forEach>
</table>
</c:if>

<c:if test="${! empty (wikiChangedPages.last3MonthPages)}">
<h2>${userSettings.lang == 'de' ? "Letzte 3 Monate" : "Siste 3 Måneder"}</h2>
<table border="0">
    <c:choose>
        <c:when test="${userSettings.lang == 'de'}">
            <tr>
                <th>Seite</th>
                <th>Version</th>
                <th>Datum</th>
                <th>Autor</th>
            </tr>
        </c:when>
        <c:otherwise>
            <tr>
                <th>Side</th>
                <th>Versjon</th>
                <th>Datum</th>
                <th>Forfatter</th>
            </tr>
        </c:otherwise>
    </c:choose>
    <c:forEach var="page" items="${wikiChangedPages.last3MonthPages}">
        <tr>
            <td><a href="${userSettings.langContextPath}/wiki/${page.name}">${page.name}</a>
            <td>${page.version}</td>
            <td>${page.timestamp}</td>
            <td>${page.user.displayName}</td>
        </tr>
    </c:forEach>
</table>
</c:if>
