var TileMap = (function(my) {
    // constants
    var TILE_SIZE = 64;
    var BITS_PER_TILE = 6;
    
    my.TILE_SIZE = function() {
        return TILE_SIZE;  
    };
    
    my.toTile = function (pixel) {
        return pixel >> BITS_PER_TILE;
    };
    my.toPixel = function (tile) {
        return tile << BITS_PER_TILE;
    };
    
    my.createMap = function() {
        return [];
    };
    
    my.insertTile = function(tileMap, i, j) {
        if (!Array.isArray(tileMap[i])) {
            tileMap[i] = [];
        }
        tileMap[i][j] = 1;
    };
    
    my.hasWallAtTile = function(tileMap, i, j) {
        if (Array.isArray(tileMap[i])) {
            if (tileMap[i][j] === 1) {
                return true;
            }
        }
        return false;
    };
    
    my.hasWallAtPixel = function(tileMap, x, y) {
        return my.hasWallAtTile(tileMap, my.toTile(x), my.toTile(y));
    };
    
    return my;
}(TileMap || {}));

